path: /build/build/zram-init-sys-block-12.2.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-block/zram-init -pv -t && \
    emerge -j ${JOBS} --nodeps sys-block/zram-init && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/zram-init && \
    luet-portage --dir /pkgdir/zram-init sys-block/zram-init && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  - cp zram-init /pkgdir/zram-init/etc/conf.d/
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:891e7f63273868df975eb254428ae69b2e6e6010326e9d002c74eef7165debcc
  package:
    name: zram-init
    version: 12.2.2
    category: sys-block
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Scripts to support compressed swap devices or ramdisks with zRAM
    uri:
    - https://github.com/vaeth/zram-init/
    license: GPL-2
    buildtimestamp: 2025-05-18 20:03:40.3996342 +0000 UTC m=+173.755708004
    labels:
      BDEPEND: sys-devel/gettext
      RDEPEND: app-shells/push virtual/libintl || ( sys-apps/openrc sys-apps/systemd
        )
      emerge.packages: sys-block/zram-init
      kit: kernel-kit
      original.package.name: sys-block/zram-init
      original.package.slot: "0"
      original.package.version: 12.2.2
    treedir: /build/packages
  package_dir: /pkgdir/zram-init
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 04f6ea437d8bd879d9714cc3835f645f7bf4de8bcb5352f8ab22418d376fe97d
compressiontype: zstd
files:
- etc/conf.d/zram-init
- etc/init.d/zram-init
- etc/modprobe.d/zram.conf
- lib/systemd/system/zram_btrfs.service
- lib/systemd/system/zram_swap.service
- lib/systemd/system/zram_tmp.service
- lib/systemd/system/zram_var_tmp.service
- sbin/zram-init
- usr/share/doc/zram-init-12.2.2/AUTHORS.bz2
- usr/share/doc/zram-init-12.2.2/ChangeLog.bz2
- usr/share/doc/zram-init-12.2.2/README.gentoo.bz2
- usr/share/doc/zram-init-12.2.2/README.md.bz2
- usr/share/locale/de/LC_MESSAGES/zram-init.mo
- usr/share/locale/fr/LC_MESSAGES/zram-init.mo
- usr/share/man/de/man8/zram-init.8.bz2
- usr/share/man/man8/zram-init.8.bz2
- usr/share/zsh/site-functions/_zram-init
- var/db/pkg/sys-block/zram-init-12.2.2/BDEPEND
- var/db/pkg/sys-block/zram-init-12.2.2/BUILD_TIME
- var/db/pkg/sys-block/zram-init-12.2.2/CATEGORY
- var/db/pkg/sys-block/zram-init-12.2.2/CBUILD
- var/db/pkg/sys-block/zram-init-12.2.2/CFLAGS
- var/db/pkg/sys-block/zram-init-12.2.2/CHOST
- var/db/pkg/sys-block/zram-init-12.2.2/CONTENTS
- var/db/pkg/sys-block/zram-init-12.2.2/COUNTER
- var/db/pkg/sys-block/zram-init-12.2.2/CTARGET
- var/db/pkg/sys-block/zram-init-12.2.2/CXX
- var/db/pkg/sys-block/zram-init-12.2.2/CXXFLAGS
- var/db/pkg/sys-block/zram-init-12.2.2/DEFINED_PHASES
- var/db/pkg/sys-block/zram-init-12.2.2/DESCRIPTION
- var/db/pkg/sys-block/zram-init-12.2.2/EAPI
- var/db/pkg/sys-block/zram-init-12.2.2/FEATURES
- var/db/pkg/sys-block/zram-init-12.2.2/HOMEPAGE
- var/db/pkg/sys-block/zram-init-12.2.2/INHERITED
- var/db/pkg/sys-block/zram-init-12.2.2/IUSE
- var/db/pkg/sys-block/zram-init-12.2.2/IUSE_EFFECTIVE
- var/db/pkg/sys-block/zram-init-12.2.2/KEYWORDS
- var/db/pkg/sys-block/zram-init-12.2.2/LDFLAGS
- var/db/pkg/sys-block/zram-init-12.2.2/LICENSE
- var/db/pkg/sys-block/zram-init-12.2.2/PF
- var/db/pkg/sys-block/zram-init-12.2.2/RDEPEND
- var/db/pkg/sys-block/zram-init-12.2.2/SIZE
- var/db/pkg/sys-block/zram-init-12.2.2/SLOT
- var/db/pkg/sys-block/zram-init-12.2.2/USE
- var/db/pkg/sys-block/zram-init-12.2.2/environment.bz2
- var/db/pkg/sys-block/zram-init-12.2.2/repository
- var/db/pkg/sys-block/zram-init-12.2.2/zram-init-12.2.2.ebuild
package_cacheimage: ""
runtime:
  name: zram-init
  version: 12.2.2
  category: sys-block
  requires:
  - name: push
    version: '>=0'
    category: app-shells
  - name: openrc
    version: '>=0'
    category: sys-apps
  - name: libintl
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Scripts to support compressed swap devices or ramdisks with zRAM
  uri:
  - https://github.com/vaeth/zram-init/
  license: GPL-2
  labels:
    BDEPEND: sys-devel/gettext
    RDEPEND: app-shells/push virtual/libintl || ( sys-apps/openrc sys-apps/systemd
      )
    emerge.packages: sys-block/zram-init
    kit: kernel-kit
    original.package.name: sys-block/zram-init
    original.package.slot: "0"
    original.package.version: 12.2.2
